This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1015408 - [abrt] cheese-3.10.0-1.fc20: Process /usr/bin/cheese was killed by signal 11 (SIGSEGV)
[abrt] cheese-3.10.0-1.fc20: Process /usr/bin/cheese was killed by signal 11 ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cheese (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:70230c4d37a463513fab4fde373...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-04 03:32 EDT by Igor Gnatenko
Modified: 2014-09-11 12:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-11 12:14:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (19.83 KB, text/plain)
2013-10-04 03:32 EDT, Igor Gnatenko
no flags Details
File: cgroup (159 bytes, text/plain)
2013-10-04 03:32 EDT, Igor Gnatenko
no flags Details
File: core_backtrace (11.71 KB, text/plain)
2013-10-04 03:32 EDT, Igor Gnatenko
no flags Details
File: dso_list (9.36 KB, text/plain)
2013-10-04 03:32 EDT, Igor Gnatenko
no flags Details
File: environ (2.62 KB, text/plain)
2013-10-04 03:32 EDT, Igor Gnatenko
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-04 03:32 EDT, Igor Gnatenko
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-04 03:32 EDT, Igor Gnatenko
no flags Details
File: maps (43.76 KB, text/plain)
2013-10-04 03:32 EDT, Igor Gnatenko
no flags Details
File: open_fds (688 bytes, text/plain)
2013-10-04 03:32 EDT, Igor Gnatenko
no flags Details
File: proc_pid_status (927 bytes, text/plain)
2013-10-04 03:32 EDT, Igor Gnatenko
no flags Details
File: var_log_messages (319 bytes, text/plain)
2013-10-04 03:32 EDT, Igor Gnatenko
no flags Details

  None (edit)
Description Igor Gnatenko 2013-10-04 03:32:16 EDT
Description of problem:
GDK_BACKEND=wayland cheese

Version-Release number of selected component:
cheese-3.10.0-1.fc20

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 3
cmdline:        cheese
executable:     /usr/bin/cheese
kernel:         3.11.3-301.fc20.x86_64
runlevel:       unknown
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ??
 #1 clutter_backend_x11_post_parse at x11/clutter-backend-x11.c:383
 #2 clutter_init_real at ./clutter-main.c:1563
 #3 post_parse_hook at ./clutter-main.c:1794
 #4 g_option_context_parse at goption.c:2025
 #5 clutter_parse_args at ./clutter-main.c:2030
 #6 clutter_init at ./clutter-main.c:2092
 #7 cheese_gtk_init at libcheese/cheese-gtk.c:58
 #8 cheese_application_real_startup at src/cheese-application.c:275
 #9 _g_closure_invoke_va at gclosure.c:840
Comment 1 Igor Gnatenko 2013-10-04 03:32:21 EDT
Created attachment 807466 [details]
File: backtrace
Comment 2 Igor Gnatenko 2013-10-04 03:32:24 EDT
Created attachment 807467 [details]
File: cgroup
Comment 3 Igor Gnatenko 2013-10-04 03:32:27 EDT
Created attachment 807468 [details]
File: core_backtrace
Comment 4 Igor Gnatenko 2013-10-04 03:32:31 EDT
Created attachment 807469 [details]
File: dso_list
Comment 5 Igor Gnatenko 2013-10-04 03:32:34 EDT
Created attachment 807470 [details]
File: environ
Comment 6 Igor Gnatenko 2013-10-04 03:32:37 EDT
Created attachment 807471 [details]
File: exploitable
Comment 7 Igor Gnatenko 2013-10-04 03:32:41 EDT
Created attachment 807472 [details]
File: limits
Comment 8 Igor Gnatenko 2013-10-04 03:32:45 EDT
Created attachment 807473 [details]
File: maps
Comment 9 Igor Gnatenko 2013-10-04 03:32:48 EDT
Created attachment 807474 [details]
File: open_fds
Comment 10 Igor Gnatenko 2013-10-04 03:32:52 EDT
Created attachment 807475 [details]
File: proc_pid_status
Comment 11 Igor Gnatenko 2013-10-04 03:32:55 EDT
Created attachment 807476 [details]
File: var_log_messages
Comment 12 David King 2014-09-11 12:14:19 EDT
This apparently is working in 3.13.91 (and possibly earlier), as long as you also set the Clutter backend to use Wayland too:

https://wiki.gnome.org/action/info/Initiatives/Wayland/Applications?action=diff&rev2=107&rev1=106

Note You need to log in before you can comment on or make changes to this bug.